var TimerID;
function rxInformation(entries) {
    var rxInfo = { Count: 0, Amount: 0.0 };
    var entry;
    for (var key = 1; key <= entries.Count; key++) {
        entry = entries(key);
        if ((entry.comment != "undefined") && (entry.comment.substr(0, 3) == "Rx:")) {
            rxInfo.Count = rxInfo.Count + entry.Quantity;
            rxInfo.Amount = rxInfo.Amount + (entry.Quantity * entry.Price);
        }
    }
    return rxInfo;
}

function getRMSVariables(QSRules) {
    var rmsVariables;
    if (QSRules.Variable(9)) {
        rmsVariables = new Array;
        rmsVariables = QSRules.Variable(9).split("|");
    }
    return rmsVariables
}

function displayVariables() {

    var Entry;
    var itemLookupCode;
    var itemDescription;
    var itemPrice;
    var itemQuantity;
    var QSRules = qsBridge.RequestQSRules();

    if (QSRules) {

        var rxInfo = rxInformation(QSRules.Transaction.Entries);

        txtRxCount.innerText = rxInfo.Count;
        txtRxAmount.innerText = accounting.formatMoney(rxInfo.Amount);

        Entry = QSRules.Transaction.Entries(QSRules.Transaction.CurrentEntryKey);

        itemLookupCode = " ";
        itemDescription = " ";
        itemPrice = " ";
        itemQuantity = " ";

        if (Entry) {
            itemLookupCode = Entry.Item.ItemLookupCode;
            itemDescription = Entry.Description;
            itemPrice = Entry.Price;
            itemQuantity = Entry.Quantity;
        } else {
            if (QSRules.Transaction.Entries.Count != 0) {
                Entry = QSRules.Transaction.Entries(QSRules.Transaction.Entries.Count);
                itemLookupCode = Entry.Item.ItemLookupCode;
                itemDescription = Entry.Description;
                itemPrice = Entry.Price;
                itemQuantity = Entry.Quantity;
            }
        }

        txtItemLookupCode.innerText = itemLookupCode;
        txtDescription.innerText = itemDescription;
        txtQuantity.innerText = itemQuantity;
        txtPrice.innerText = accounting.formatMoney(itemPrice);

        if (QSRules.Transaction.Customer.Loaded) {

            if (QSRules.Transaction.Customer.Name != "undefined") {
                txtFullName.innerText = QSRules.Transaction.Customer.Name;
            }
            if (QSRules.Transaction.Customer.AccountNumber != "undefined") {
                txtAccountNumber.innerText = QSRules.Transaction.Customer.AccountNumber;
            }
            if (QSRules.Transaction.Customer.HomeAddress.PhoneNumber != "undefined") {
                txtPhoneNum.innerText = QSRules.Transaction.Customer.HomeAddress.PhoneNumber;
            }
            if (QSRules.Transaction.Customer.AccountBalance != "undefined") {
                txtAccountBalance.innerText = accounting.formatMoney(QSRules.Transaction.Customer.AccountBalance);
            }
        }

        else {
            txtAccountNumber.innerText = " ";
            txtFullName.innerText = " ";
            txtPhoneNum.innerText = " ";
            txtAccountBalance.innerText = " ";            
        }

        txtFullName.innerText = QSRules.Variable(9);

        //GET DYNARX VARS
        dynaRxVars = getRMSVariables(QSRules);
        if (dynaRxVars) {
            txtDynaRxNumber.innerText = dynaRxVars[1];
            txtDynaRxBalance.innerText = dynaRxVars[2];
        } else {
            txtDynaRxNumber.innerText = " ";
            txtDynaRxBalance.innerText = " ";
        }

        // PERFORM POS ACTIONS
        if (QSRules.Variable(10)) {
            if (QSRules.Variable(10) == "REFRESHDISPLAY") {
                qsBridge.FireEvent("RefreshDisplay");
                QSRules.Variable(10) = "";
                return;
            }
        }

    }




}

function doStartup() {
    displayVariables();
    TimerID = window.setInterval("displayVariables()", 1000);
}